# flatpak remotes

flatpak

Developer
Alexander
Larsson
alexl@redhat.com
flatpak remotes
1

# flatpak-remotes

List remote repositories

                    flatpak remotes
                    OPTION

## Description

Lists the known remote repositories, in priority order.

By default, both per-user and system-wide installations are shown. Use the `--user`, `--system` or `--installation` options to change this.

## Options

The following options are understood:

`-h`
`--help`

  Show help options and exit.

`-u`
`--user`

  Show the per-user configuration.

`--system`

  Show the default system-wide configuration.

`--installation=NAME`

  Show a system-wide installation by NAME among those defined in `/etc/flatpak/installations.d/`. Using `--installation=default` is equivalent to using `--system`.

`-d`
`--show-details`

  Show more information for each repository in addition to the name. Equivalent to `--columns=all`.

`--show-disabled`

  Show disabled repos.

`-v`
`--verbose`

  Print debug information during command processing.

`--ostree-verbose`

  Print OSTree debug information during command processing.

`--columns=FIELD,…`

  Specify what information to show about each ref. You can list multiple fields, or use this option multiple times.

  Append :s[tart], :m[iddle], :e[nd] or :f[ull] to column names to change ellipsization.

## Fields

The following fields are understood by the `--columns` option:

name

  Show the name of the remote

title

  Show the title of the remote

url

  Show the URL of the remote

filter

  Show the path to the client-side filter of the remote.

collection

  Show the collection ID of the remote

priority

  Show the priority of the remote

options

  Show options

comment

  Show comment

description

  Show description

homepage

  Show homepage

icon

  Show icon

all

  Show all columns

help

  Show the list of available columns

Note that field names can be abbreviated to a unique prefix.

## Examples

`$ flatpak remotes --user --show-details`

    testrepo	Test Repository	 http://209.132.179.91/repo/ no-gpg-verify

## See also

flatpak 1, flatpak-remote-add 1, flatpak-remote-delete 1